1
vote
3answers
29 views

listing package dependents

I stupidly did "yum remove python" which also ended up removing all the packages that required python as well. Luckily, I have access to another Linux machine that is a near clone of this machine, ...
2
votes
1answer
46 views

Rebuilt kmod package not updating via `YUM` but is via `rpm`

I have built a package with the following version: kmod-dahdi-linux 10:2.9.1.1-75_shmz65.1.11.2.6.32_431.el6.i686 Which should be an upgrade of the one installed on the system: kmod-dahdi-linux ...
1
vote
1answer
62 views

yum - No package httpd available (new VPS)

So I have a new VPS that only has the bare bones. Not what I was expecting at all and I may be well past my depth but I'm trying to get the essentials running. The host is Swedish and aggressively ...
0
votes
1answer
26 views

Building rtmpdump on RHEL x86 without yum and no root rights

I have an ssh connection to a RHEL x86 machine, and I can't use yum and I don't have root rights. Is there a way to still install rtmpdump? By looking at this tutorial, it seems that installing ...
0
votes
2answers
39 views

Yum- upgrading packages that are running

Is Yum designed in such a way (or is the underlying system) that you can safely upgrade a binary while it's running? For example, you have MySQL 5.5 and you run yum -y install mysql56-server to ...
2
votes
1answer
287 views

Why can yum still not update GCC 4.9.0?

GCC 4.9.0 has been released since April 22. However, I can still not update it through the following command: $yum update gcc Why does the yum repository lag so much behind gcc.gnu.org?
1
vote
1answer
266 views

why can't I install packages with rpm? I get “transaction lock”

I'm having problems with yum and I am trying to re-install it. I've download yum.3.2.0-40-el6.centos.noarch.rpm. When I try: $ rpm -ivh yum.3.2.0-40-el6.centos.noarch.rpm I get: error: can't ...
0
votes
1answer
173 views

linux + how to install glibc.i686

I try the following , but I get No package glibc.i686 available. what need to do in order to install the glibc.i686 or maybe other way? yum install glibc.i686 Loaded plugins: product-id, ...
0
votes
1answer
121 views

iptux Installation causing error

I'm trying to install iptux in CentOS by using yum install ip* it causes the following error --> Finished Dependency Resolution Error: samba4-winbind conflicts with ...
0
votes
1answer
224 views

Issue with yum - error in importing one of the python modules

I am trying to install rpm package on CentOS 6 using yum install command, but getting folowing error There was a problem importing one of the Python modules required to run yum. The error leading to ...
1
vote
1answer
448 views

Update a Red Hat repo with no packages

I'm attempting to install a handful of packages on my RHEL 5.10 (Tikanga) server, however I'm prevented from doing this because of an installed repo with zero packages. When I do yum repolist, it ...
0
votes
2answers
64 views

Updating CentOS by YUM command without removing previous version

I wanna update my system by yum command, after executing yum update it wants to update kernel to 2.6.32-431.5.1.el6 version also it wants to remove my oldest kernel version (2.6.32-279.el6). ...
0
votes
1answer
152 views

Update yum fails

I'm using centOS 6.4. I'm getting this error when I use "yum update" in the terminal window. Could not retrieve mirrorlist http://mirrorlist.centos.org/?release=6&arch=x86_64&repo=os ...
1
vote
3answers
356 views

yum no longer able to detect/access repository

Yum was working fine until I tried to install google chrome and used the --add-repo command with which I added chrome's repository. Ever since then, whenever I do a sudo yum install, yum only ...
1
vote
1answer
73 views

How do you Configure Package Management System (YUM) for MongoDB

On the site (mongodb) it lists ... Create a /etc/yum.repos.d/mongodb.repo file to hold the following configuration information for the MongoDB repository: then... [mongodb] name=MongoDB ...
1
vote
2answers
348 views

yum update presents hponcfg-4.2.0-0.x86_64 conflict

I am in the process of trying to get Cacti installed onto an HP DL360 running Centos 6.3. Running yum update presents me with a few updates but when entering y it returns an error. How can I solve ...
1
vote
1answer
26 views

Yum adds the dir 'Package' to baseurl

I'm on a network that doesn't get outside internet. I have the repo file pointing to a http server on the network that has the packages that came with the RHEL install cd. Most of the servers work ...
0
votes
2answers
9k views

Yum update error: Could not retrieve mirrorlist

I'm trying to do yum update. This is the error I'm getting. sudo yum update Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile Could not retrieve mirrorlist ...
1
vote
1answer
203 views

Centos Linux no longer has “ System ---> Administration ---> Printing ” after re-install from “Minimal” iso file

Recently i installed centos linux minimal and then installed GUI over it. i noticed it no longer has System ---> Administration ---> Printing given that this is not a 'software' how can i ...
2
votes
1answer
2k views

Resolve dependencies installing rpm packages

I am using RHEL6 Hi i have created the yum repository, i downloaded the snort rpm package from their website when i tried to install the rpm its thorws error e.g. snort-2.9.5.3-1.f18.i386.rpm ...
1
vote
1answer
869 views

is there a “xdotool” rpm available for Centos Linux?

It seems to be extremely difficult to install xdotool on CentOS because of it's requirements. such as yum groupinstall 'Development Tools' -y yum install libXi-devel libXtst-devel libXinerama-devel ...
0
votes
2answers
903 views

How to use ( yumdownloader --resolve <package name> ) on ( yum -y groupinstall “Desktop” “Desktop Platform” “X Window System” “Fonts” )?

As soon as I finish installing "centos-minimal" from the minimal ISO file, I need to install the GUI desktop. for this I simply run, ifup eth0, and then I run: yum -y groupinstall "Desktop" "Desktop ...
0
votes
1answer
2k views

How to install [ gcc ] without internet connection?

I simply ran yum install gcc this is what came up: ================================================================================ Package Arch Version ...
0
votes
2answers
605 views

Does Yum have an equivalent to apt / aptitude's DEBIAN_FRONTEND=noninteractive?

On Ubuntu you can use something like this: export DEBIAN_FRONTEND=noninteractive sudo -E apt-get update Which will prevent things that require input (choosing grub versions or conflicts between ...
5
votes
1answer
338 views

How do I find package URLs with Yum?

I want to update my system (Fedora) with Yum, but I want to use aria2 to download the packages. There was something in pacman that you could use to get the update URLs (and put all links in a file.) ...
1
vote
1answer
116 views

Why is yum's tab completion slow?

Why is yum's tab completion slow? Is it because it needs to connect to the internet? If yes, how can I disable that?
1
vote
0answers
22 views

Fedora's command-not-found doesn't work [duplicate]

I've recently installed Fedora 19. Packagekit-command-not-found is installed. But it's own examples doesn't work. When I enter gedti the output is: bash: gedti: command not found... Similar command ...
2
votes
1answer
546 views

Fedora's command-not-found doesn't work

I've recently installed Fedora 19. Packagekit-command-not-found is installed. But its own examples don't work. When I enter gedti the output is: bash: gedti: command not found... Similar command is: ...
1
vote
2answers
74 views

Package name suggestion in fedora

In Ubuntu when an app is not installed and in Terminal you type for example gvim it says that this app is contained in package vim-gnome and try installing that but in fedora that doesn't happen with ...
0
votes
3answers
2k views

libxml2.so.2: cannot open shared object file: No such file or directory

I am using CentOS in which i had removed libxml2 accidentally now it was showing the following error as follows: There was a problem importing one of the Python modules required to run yum. The ...
-1
votes
3answers
2k views

Reinstall XOrg with Yum - Fedora 18

Some how I messed up Xorg and need to reinstall it, with Yum. I can not find any Xorg packages, but it has to be out there right?
2
votes
2answers
313 views

How to list RPM packages installed in order of installation date

I'd like to see a list of software installed in the order of the date they were installed. The order doesn't matter (newest to oldest & vice-versa) as long as they're arranged by date. I'm mainly ...
0
votes
0answers
23 views

Best way of updating Openssl on Linux machine [duplicate]

I have a confusion to choose the best way for upgrading the OpenSSL on my Linux machine. 1*Through the yum Update.* # yum update I know this will update the entire packages. But If I want to ...
0
votes
2answers
2k views

Ignoring dependencies when installing with yum (Scientific Linux)

How can I ignore dependencies of a single package I am attempting to install using yum in Scientific Linux? The answer would presumably the same for CentOS/RHEL. To elaborate, I am looking to get the ...
0
votes
0answers
57 views

RedHat server packages are never found

I set up a virtual server Red Hat machine but every time I try to use the "yum" command to install new packages, the command works properly but it is never been able to find any package even the ...
0
votes
1answer
99 views

Does yum update uninstall and install the dependencies?

If the dependencies of the two different versions of RPM are same, would yum update remove and install dependencies too?
3
votes
2answers
2k views

How to list all the installed package in fedora with the time of the installation

I can list them use sudo yum list installed but how to make them display when each were installed?
2
votes
1answer
223 views

Obtaining/Packaging RPM dependencies for Fedora/RHEL linux application — no network access

I currently have an RPM file with 2-3 dependencies specified in the 'Requires' section. When this application is installed using yum, it works fine and the dependencies are installed if they are ...
0
votes
1answer
2k views

64bit rpm can not resolve 32bit dependencies

Problem I'm having a RPM that contains mixed 64bit and 32bit binaries. One of the binaries depends on 32bit i686 packages. When I try to install the package yum gives me an error, noting that the ...
2
votes
3answers
8k views

yum does not work on RHEL 6.3

I have installed RHEL 6.3: Linux RHEL6.3-64-BuildMac 2.6.32-279.el6.x86_64 #1 SMP Wed Jun 13 18:24:36 EDT 2012 x86_64 x86_64 x86_64 GNU/Linux My /etc/yum.conf looks as follows: [main] ...
0
votes
1answer
69 views

Trying to update Bugzilla on Fedora 16 using YUM

I am currently running Bugzilla version 4.0.6 and would like to update to 4.2. I have tried yum check-update and yum update bugzilla but it is not updating. Am I doing something wrong? If not, is ...
3
votes
2answers
5k views

Yum update/install to any package is giving me the following error. What actions do I need to take to overcome this?

Yum update/install to any package is giving me the following error. What actions do I need to take to overcome this? Traceback (most recent call last): File "/usr/bin/yum", line 29, in ...
14
votes
9answers
47k views

Cannot enable network after CentOS 6.3 fresh install

I am trying to perform a fresh CentOS 6.3 installation then run various yum commands such as yum install httpd. The installation runs fine, however I cannot run any network based commands like yum I ...
6
votes
1answer
2k views

Can Yum express a preference for x86_64 over i386 packages?

I run a 64-bit version of CentOS5. At the moment, when I run Yum updates or installs, unless Yum is purged of i386 packages prior, it will install i386 packages when x86_64 are available. Is it ...
2
votes
2answers
3k views

Resolve missing package dependencies when trying to install octave

I am trying to install the octave software package on a RHEL 6 Workstation. I have installed the epel-release 6.5 package to enable the EPEL package repository. When I try to install the octave using ...
5
votes
2answers
254 views

Any other distro offer like Ubuntu Software Centre?

I want to know does any other linux disto offer anything close to Ubuntu Software Centre? Some of the features I like about it is A) Sandboxing B) Ability to search any of the libs/apps with ...
1
vote
1answer
112 views

setting up yum in stripped down linux

I have a box that contains minimal binaries needed to run Scientific Linux. What I want to do is to install additional programs. I could get rpm installed and tried to install yum but resolving those ...
4
votes
3answers
740 views

Linux distribution with 'yum' package manager

I hope that this question is appropriate for this site (if not, please accept my apologies). I am a professional statistician who uses the statistical programming language R. I'm currently building ...
0
votes
1answer
9k views

Installing gcc on rhel 6.1

GCC doesnt seem to be installed on my Rhel 6.1 machine. Also, when i did: sudo yum install gcc It barfed: Updating Red Hat repositories. Setting up Install Process No package gcc available. ...
1
vote
2answers
267 views

Yum stopped working after upgrading it

I just did yum upgrade yum and now I can't use it. It keeps showin this error: [root@devlon5 www]# yum install pdftohtml epel/primary_db 100% |=========================| 3.8 MB 00:00 ...